curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_ids": [
"<uuid>"
],
"providers": {
"oura": {
"default": {
"historical_days_to_pull": 120
},
"resource_overrides": {
"sleep": {
"historical_days_to_pull": 180
}
}
}
}
}'
{
"data_pull_preferences": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providers": {}
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Data Pull Preferences
Post Team Data Pull Preferences
Post org team data pull preferences via the Junction API. Requires authentication with your team API key.
POST
/
v1
/
org
/
{org_id}
/
team_data_pull_preferences
/
{env}
/
{region}
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_ids": [
"<uuid>"
],
"providers": {
"oura": {
"default": {
"historical_days_to_pull": 120
},
"resource_overrides": {
"sleep": {
"historical_days_to_pull": 180
}
}
}
}
}'
{
"data_pull_preferences": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providers": {}
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"team_ids": [
"<uuid>"
],
"providers": {
"oura": {
"default": {
"historical_days_to_pull": 120
},
"resource_overrides": {
"sleep": {
"historical_days_to_pull": 180
}
}
}
}
}'
By setting a higher value, you acknowledge your awareness of the facts of API life that:
- historical pulls may take longer to complete;
- historical pulls may run into provider rate limiting; and
- regular data polling may consequentially be delayed as a knock-on effect.
Provider rate limiting typically happens at OAuth application level.Therefore, Junction recommends Bring Your Own OAuth
if you want to set an extended historical pull range. This creates a rate limit quota dedicated to
your Junction Team, not being shared with other Junction customers.
The Team Data Pull Preferences you specified are advisory. There are scenarios in which Junction systems
may not adhere strictly to your stated preferences.
Supported Providers
| Provider | Default | Configurable | Remarks |
|---|---|---|---|
| Abbott LibreView | 90 days | ❌ | - |
| Fitbit | 90 days | ⚠️ | Activity and heartrate timeseries data are fixed to 14 days. |
| Garmin | 90 days | ✅ | - |
| Google Fit | 90 days | ✅ | - |
| Oura | 180 days | ✅ | - |
| Peloton | 180 days | ✅ | - |
| Strava | 14 days | ✅ | - |
| Wahoo | 180 days | ✅ | - |
| WHOOP | 180 days | ✅ | - |
| Zwift | 270 days | ✅ | - |
| Withings | 90 days | ✅ | - |
| 8Sleep | 90 days | ✅ | - |
| Apple HealthKit (SDK) | 30 days | ✅ | - |
| Android Health Connect (SDK) | 30 days | ❌ | Google restricts access to historical data to 30 days before the first successful permission request. |
| Hammerhead | 30 days | ✅ | - |
| Dexcom | 30 days | ✅ | - |
| Dexcom (G6 And Older) | 1 day | ❌ | - |
| MyFitnessPal | 14 days | ✅ | - |
| Polar | 28 days | ❌ | Polar only supports historical backfill for Sleep and Sleep Stream resources. |
| Cronometer | 28 days | ✅ | - |
The configurable maximum is 365 days at this time.
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Body
application/json
Was this page helpful?